Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 60879 - incorrect dependency on sendmail
incorrect dependency on sendmail
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: postfix (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: wdovlrrw
:
Depends On: 59665
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-03-08 00:56 EST by Chris Ricker
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-26 15:25:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-03-08 00:56:29 EST
(btw, there are bugzilla entries for both lsb-redhat and redhat-lsb.  Confusing,
to say the least)

the redhat-lsb package depends upon the sendmail package.  This needs to be
fixed now that either sendmail or postfix can supply /usr/sbin/sendmail
Comment 1 Chris Ricker 2002-03-23 02:30:37 EST
Still broken in beta3 (redhat-lsb-1.1.0-0.4)

[kaboom@localhost kaboom]$ sudo rpm -Uvh redhat-lsb-1.1.0-0.4.i386.rpm 
error: failed dependencies:
        /usr/sbin/sendmail is needed by redhat-lsb-1.1.0-0.4
Comment 2 Matt Wilson 2002-03-23 13:56:57 EST
both provide /usr/sbin/sendmail.
Comment 3 Chris Ricker 2002-03-23 14:38:26 EST
It doesn't WORKFORME.  Try it on a beta3 system and see.

[kaboom@skuld kaboom]$ rpm -q postfix
postfix-1.1.4-3
[kaboom@skuld kaboom]$ rpm -q sendmail
package sendmail is not installed
[kaboom@skuld kaboom]$ sudo rpm -Uvh redhat-lsb-1.1.0-0.4.i386.rpm 
error: failed dependencies:
        /usr/sbin/sendmail is needed by redhat-lsb-1.1.0-0.4
[kaboom@skuld kaboom]$ 

Now that all the alternatives stuff is in place, neither sendmail nor postfix
provide /usr/sbin/sendmail; it's a symlink which gets generated by running
alternatives (or wrappers like redhat-switchmail).

[kaboom@skuld kaboom]$ rpm -qlp sendmail-8.12.2-8.i386.rpm | grep sbin/sendmail
/usr/sbin/sendmail.sendmail
[kaboom@skuld kaboom]$ rpm -qf /usr/sbin/sendmail
file /usr/sbin/sendmail is not owned by any package
[kaboom@skuld kaboom]$ 
Comment 4 Matt Wilson 2002-03-24 18:20:37 EST
postfix doesn't have the Provides: line.
Comment 5 Bernhard Rosenkraenzer 2002-03-26 11:21:18 EST
Bug #59665 calims you must not Provide: anything with a /, so IMO redhat-lsb should 
require smtpdaemon (virtual package really provided by both) instead of /usr/sbin/sendmail 
(yes, I know it sucks). 
Comment 6 Matt Wilson 2002-03-26 11:23:48 EST
Requires: smpdaemon doesn't explicitly require /usr/sbin/sendmail, which IS the
requirement for LSB.
Comment 7 Bill Nottingham 2002-03-26 11:36:22 EST
Bug 59665 is *wrong*.
Comment 8 Chris Ricker 2002-03-26 13:07:54 EST
The real problem is there's no correct way currently to specify what the LSB
requires.  

Neither sendmail nor postfix really provide /usr/sbin/sendmail -- they only
provide it if the user has configured alternatives to do so....

Given that there's no way to do that, isn't "Requires: smtpdaemon" the sanest
thing to do?
Comment 9 Bill Nottingham 2002-03-26 14:12:32 EST
Um, no, they both provide /usr/sbin/sendmail, via the alternatives called in %post.

Put it this way: on an alternatives-enabled system, one of the packages will
provide it, barring someone mucking with the links by hand. So I consider it OK
for the packages to Provide: /usr/sbin/sendmail.
Comment 10 Matt Wilson 2002-03-26 15:24:57 EST
Right:  User installs both at the same time, the first one installed gets to be
/usr/sbin/sendmail.  If a user then removes the current default, the other takes
over as /usr/sbin/sendmail.  If you install either one separately, which ever
one you install becomes /usr/sbin/sendmail.  So in essence they both provide
/usr/sbin/sendmail.
Comment 11 Bernhard Rosenkraenzer 2002-03-27 10:33:07 EST
postfix 1.1.5-3 provides 
/usr/sbin/sendmail 
/usr/bin/mailq 
/usr/bin/rmail 
 
Still waiting on resolution of 59665, though.

Note You need to log in before you can comment on or make changes to this bug.